Modify

Opened 7 years ago

Closed 7 years ago

#1290 closed defect (fixed)

Postfix refuses to properly execute

Reported by: jeff.minard@… Owned by: bas
Priority: normal Component: EmailtoTracScript
Severity: normal Keywords: postfix
Cc: Trac Release: 0.10

Description

So, I got email2trac from SVN (today) and I am running 0.10.3. I got it installed and running and can successfully execute the email2trac < msg.txt command.

However, when I try the email test command mail trac < msg.txt , I get a bounce from Postfix. Here's my alias file and the bounce message:

# See man 5 aliases for format
postmaster:    root
trac: |/usr/local/bin/run_email2trac
From MAILER-DAEMON  Wed Mar  7 13:36:13 2007
X-Original-To: root@project.trackr.net
Date: Wed,  7 Mar 2007 13:36:13 -0800 (PST)
From: MAILER-DAEMON@project.trackr.net (Mail Delivery System)
Subject: Undelivered Mail Returned to Sender
To: root@project.trackr.net
MIME-Version: 1.0
Content-Type: multipart/report; report-type=delivery-status;
        boundary="B91A23418F.1173303373/project.trackr.net"

This is a MIME-encapsulated message.

--B91A23418F.1173303373/project.trackr.net
Content-Description: Notification
Content-Type: text/plain

This is the Postfix program at host project.trackr.net.

I'm sorry to have to inform you that your message could not
be delivered to one or more recipients. It's attached below.

For further assistance, please send mail to <postmaster>

If you do so, please include this problem report. You can
delete your own text from the attached returned message.

                        The Postfix program

<trac@project.trackr.net> (expanded from <trac>): Command died with status 253:
    "/usr/local/bin/run_email2trac"

--B91A23418F.1173303373/project.trackr.net
Content-Description: Delivery report
Content-Type: message/delivery-status

Reporting-MTA: dns; project.trackr.net
X-Postfix-Queue-ID: B91A23418F
X-Postfix-Sender: rfc822; root@project.trackr.net
Arrival-Date: Wed,  7 Mar 2007 21:36:13 +0000 (UTC)

Final-Recipient: rfc822; trac@project.trackr.net
Original-Recipient: rfc822; trac
Action: failed
Status: 5.0.0
Diagnostic-Code: X-Postfix; Command died with status 253:
    "/usr/local/bin/run_email2trac"

--B91A23418F.1173303373/project.trackr.net
Content-Description: Undelivered Message
Content-Type: message/rfc822

Received: by project.trackr.net (Postfix, from userid 0)
        id B91A23418F; Wed,  7 Mar 2007 21:36:13 +0000 (UTC)
To: trac@project.trackr.net
Message-Id: <20070307213613.B91A23418F@project.trackr.net>
Date: Wed,  7 Mar 2007 21:36:13 +0000 (UTC)
From: root@project.trackr.net (root)

>From basv@sara.nl  Wed Mar  8 15:29:17 2006
Return-Path: <basv@sara.nl>
X-Original-To: test@subtrac.sara.nl
Delivered-To: test@subtrac.sara.nl
Received: from surfboard.ka.sara.nl (surfboard.ka.sara.nl [145.100.6.3])
        by localhost.localdomain (Postfix) with ESMTP id 506702800682
        for <test@subtrac.sara.nl>; Wed,  8 Mar 2006 15:29:17 +0100 (CET)
Received: from [145.100.6.134] ([145.100.6.134] RDNS failed) by
        surfboard.ka.sara.nl with Microsoft SMTPSVC(6.0.3790.1830);
        Wed, 8 Mar 2006 15:29:17 +0100
Message-ID: <440EEA39.6070200@sara.nl>
Date: Wed, 08 Mar 2006 15:29:13 +0100
From: Bas van der Vlies <basv@sara.nl>
User-Agent: Thunderbird 1.5 (Windows/20051201)
MIME-Version: 1.0
To: test@subtrac.sara.nl
Subject: Test123
Content-Type: multipart/mixed; boundary="------------070800080005060203060809"
X-OriginalArrivalTime: 08 Mar 2006 14:29:17.0140 (UTC)
        FILETIME=[AE40B940:01C642BC]

This is a multi-part message in MIME format.
--------------070800080005060203060809
Content-Type: text/plain; charset=ISO-8859-1; format=flowed
Content-Transfer-Encoding: 7bit

Test1234
Test1234

--
--
********************************************************************
*                                                                  *
*  Bas van der Vlies                     e-mail: basv@sara.nl      *
*  SARA - Academic Computing Services    phone:  +31 20 592 8012   *
*  Kruislaan 415                         fax:    +31 20 6683167    *
*  1098 SJ Amsterdam                                               *
*                                                                  *
********************************************************************

--------------070800080005060203060809
Content-Type: text/plain;
 name="basje.txt"
Content-Transfer-Encoding: 7bit
Content-Disposition: inline;
 filename="basje.txt"

test123
test1234

--------------070800080005060203060809--

--B91A23418F.1173303373/project.trackr.net--

The relevant portion seems to be this:

 Command died with status 253: "/usr/local/bin/run_email2trac" 

Perhaps you are more in tune with that the exit code 253 means?

Attachments (0)

Change History (1)

comment:1 Changed 7 years ago by bas

  • Resolution set to fixed
  • Status changed from new to closed

Sorry but the trunk version is not stable. It has some untested features and is not finished yet, So could you try the stable version?

Add Comment

Modify Ticket

Action
as closed .
as The resolution will be set. Next status will be 'closed'.
to The owner will be changed from bas. Next status will be 'closed'.
The resolution will be deleted. Next status will be 'reopened'.
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.